#ifndef _LVO_DOS_LIB_H
#define _LVO_DOS_LIB_H

/*
 *  $VER: dos_lvolib.h (08/03/97)
 *
 */


#define	LVO_Open	(-0x1E)
#define	LVO_Close	(-0x24)
#define	LVO_Read	(-0x2A)
#define	LVO_Write	(-0x30)
#define	LVO_Input	(-0x36)
#define	LVO_Output	(-0x3C)
#define	LVO_Seek	(-0x42)
#define	LVO_DeleteFile	(-0x48)
#define	LVO_Rename	(-0x4E)
#define	LVO_Lock	(-0x54)
#define	LVO_UnLock	(-0x5A)
#define	LVO_DupLock	(-0x60)
#define	LVO_Examine	(-0x66)
#define	LVO_ExNext	(-0x6C)
#define	LVO_Info	(-0x72)
#define	LVO_CreateDir	(-0x78)
#define	LVO_CurrentDir	(-0x7E)
#define	LVO_IoErr	(-0x84)
#define	LVO_CreateProc	(-0x8A)
#define	LVO_Exit	(-0x90)
#define	LVO_LoadSeg	(-0x96)
#define	LVO_UnLoadSeg	(-0x9C)
#define	LVO_dosPrivate1	(-0xA2)
#define	LVO_dosPrivate2	(-0xA8)
#define	LVO_DeviceProc	(-0xAE)
#define	LVO_SetComment	(-0xB4)
#define	LVO_SetProtection	(-0xBA)
#define	LVO_DateStamp	(-0xC0)
#define	LVO_Delay	(-0xC6)
#define	LVO_WaitForChar	(-0xCC)
#define	LVO_ParentDir	(-0xD2)
#define	LVO_IsInteractive	(-0xD8)
#define	LVO_Execute	(-0xDE)
#define	LVO_AllocDosObject	(-0xE4)
#define	LVO_FreeDosObject	(-0xEA)
#define	LVO_DoPkt	(-0xF0)
#define	LVO_SendPkt	(-0xF6)
#define	LVO_WaitPkt	(-0xFC)
#define	LVO_ReplyPkt	(-0x102)
#define	LVO_AbortPkt	(-0x108)
#define	LVO_LockRecord	(-0x10E)
#define	LVO_LockRecords	(-0x114)
#define	LVO_UnLockRecord	(-0x11A)
#define	LVO_UnLockRecords	(-0x120)
#define	LVO_SelectInput	(-0x126)
#define	LVO_SelectOutput	(-0x12C)
#define	LVO_FGetC	(-0x132)
#define	LVO_FPutC	(-0x138)
#define	LVO_UnGetC	(-0x13E)
#define	LVO_FRead	(-0x144)
#define	LVO_FWrite	(-0x14A)
#define	LVO_FGets	(-0x150)
#define	LVO_FPuts	(-0x156)
#define	LVO_VFWritef	(-0x15C)
#define	LVO_VFPrintf	(-0x162)
#define	LVO_Flush	(-0x168)
#define	LVO_SetVBuf	(-0x16E)
#define	LVO_DupLockFromFH	(-0x174)
#define	LVO_OpenFromLock	(-0x17A)
#define	LVO_ParentOfFH	(-0x180)
#define	LVO_ExamineFH	(-0x186)
#define	LVO_SetFileDate	(-0x18C)
#define	LVO_NameFromLock	(-0x192)
#define	LVO_NameFromFH	(-0x198)
#define	LVO_SplitName	(-0x19E)
#define	LVO_SameLock	(-0x1A4)
#define	LVO_SetMode	(-0x1AA)
#define	LVO_ExAll	(-0x1B0)
#define	LVO_ReadLink	(-0x1B6)
#define	LVO_MakeLink	(-0x1BC)
#define	LVO_ChangeMode	(-0x1C2)
#define	LVO_SetFileSize	(-0x1C8)
#define	LVO_SetIoErr	(-0x1CE)
#define	LVO_Fault	(-0x1D4)
#define	LVO_PrintFault	(-0x1DA)
#define	LVO_ErrorReport	(-0x1E0)
#define	LVO_Cli	(-0x1EC)
#define	LVO_CreateNewProc	(-0x1F2)
#define	LVO_RunCommand	(-0x1F8)
#define	LVO_GetConsoleTask	(-0x1FE)
#define	LVO_SetConsoleTask	(-0x204)
#define	LVO_GetFileSysTask	(-0x20A)
#define	LVO_SetFileSysTask	(-0x210)
#define	LVO_GetArgStr	(-0x216)
#define	LVO_SetArgStr	(-0x21C)
#define	LVO_FindCliProc	(-0x222)
#define	LVO_MaxCli	(-0x228)
#define	LVO_SetCurrentDirName	(-0x22E)
#define	LVO_GetCurrentDirName	(-0x234)
#define	LVO_SetProgramName	(-0x23A)
#define	LVO_GetProgramName	(-0x240)
#define	LVO_SetPrompt	(-0x246)
#define	LVO_GetPrompt	(-0x24C)
#define	LVO_SetProgramDir	(-0x252)
#define	LVO_GetProgramDir	(-0x258)
#define	LVO_SystemTagList	(-0x25E)
#define	LVO_AssignLock	(-0x264)
#define	LVO_AssignLate	(-0x26A)
#define	LVO_AssignPath	(-0x270)
#define	LVO_AssignAdd	(-0x276)
#define	LVO_RemAssignList	(-0x27C)
#define	LVO_GetDeviceProc	(-0x282)
#define	LVO_FreeDeviceProc	(-0x288)
#define	LVO_LockDosList	(-0x28E)
#define	LVO_UnLockDosList	(-0x294)
#define	LVO_AttemptLockDosList	(-0x29A)
#define	LVO_RemDosEntry	(-0x2A0)
#define	LVO_AddDosEntry	(-0x2A6)
#define	LVO_FindDosEntry	(-0x2AC)
#define	LVO_NextDosEntry	(-0x2B2)
#define	LVO_MakeDosEntry	(-0x2B8)
#define	LVO_FreeDosEntry	(-0x2BE)
#define	LVO_IsFileSystem	(-0x2C4)
#define	LVO_Format	(-0x2CA)
#define	LVO_Relabel	(-0x2D0)
#define	LVO_Inhibit	(-0x2D6)
#define	LVO_AddBuffers	(-0x2DC)
#define	LVO_CompareDates	(-0x2E2)
#define	LVO_DateToStr	(-0x2E8)
#define	LVO_StrToDate	(-0x2EE)
#define	LVO_InternalLoadSeg	(-0x2F4)
#define	LVO_InternalUnLoadSeg	(-0x2FA)
#define	LVO_NewLoadSeg	(-0x300)
#define	LVO_AddSegment	(-0x306)
#define	LVO_FindSegment	(-0x30C)
#define	LVO_RemSegment	(-0x312)
#define	LVO_CheckSignal	(-0x318)
#define	LVO_ReadArgs	(-0x31E)
#define	LVO_FindArg	(-0x324)
#define	LVO_ReadItem	(-0x32A)
#define	LVO_StrToLong	(-0x330)
#define	LVO_MatchFirst	(-0x336)
#define	LVO_MatchNext	(-0x33C)
#define	LVO_MatchEnd	(-0x342)
#define	LVO_ParsePattern	(-0x348)
#define	LVO_MatchPattern	(-0x34E)
#define	LVO_dosPrivate3	(-0x354)
#define	LVO_FreeArgs	(-0x35A)
#define	LVO_FilePart	(-0x366)
#define	LVO_PathPart	(-0x36C)
#define	LVO_AddPart	(-0x372)
#define	LVO_StartNotify	(-0x378)
#define	LVO_EndNotify	(-0x37E)
#define	LVO_SetVar	(-0x384)
#define	LVO_GetVar	(-0x38A)
#define	LVO_DeleteVar	(-0x390)
#define	LVO_FindVar	(-0x396)
#define	LVO_dosPrivate4	(-0x39C)
#define	LVO_CliInitNewcli	(-0x3A2)
#define	LVO_CliInitRun	(-0x3A8)
#define	LVO_WriteChars	(-0x3AE)
#define	LVO_PutStr	(-0x3B4)
#define	LVO_VPrintf	(-0x3BA)
#define	LVO_ParsePatternNoCase	(-0x3C6)
#define	LVO_MatchPatternNoCase	(-0x3CC)
#define	LVO_dosPrivate5	(-0x3D2)
#define	LVO_SameDevice	(-0x3D8)
#define	LVO_ExAllEnd	(-0x3DE)
#define	LVO_SetOwner	(-0x3E4)

#endif
